title %1　　　　　by: Han　^|　情非得已c　　　　　版本：2.12.1
setlocal

set Hour=%TIME:~0,2%
set m=夜
if %Hour% LSS 7 (
    color 07
) else ( 
    if %Hour% LSS 21 (
        set m=日
        color F0
    ) else (
        color 07
    )
)
echo - 已自动切换为%m%间模式
timeout /T 1

endlocal
